Subject: Re: [bug#41011] [PATCH] gnu: grub: Support for network boot via TFTP.

From: Stefan <[email-masked]>
Date: Sun, 27 Sep 2020 12:50:36 +0200

Hi Danny!

> But ~/tf/boot/efi/Guix/grub.cfg points to the tftp machine's /boot .
> Is that a bug?  Shouldn't it point to the /boot of ~/tf, the system
> to be booted?
> 
> Likewise, the gnu store directly inside ~/tf is not used, but
> ~/tf/boot/gnu points to the tftp machines's /gnu.  Shouldn't it
> point to the former?

You are absolutely right, thanks. It seems that I only tested with ‘guix system reconfigure’. My bad.

I fixed it and this time used ‘guix system init’ for verification. I also correct the description accordingly.

Bye

Stefan